Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: certmonger

Interfaces

### Description:

Certificate status monitor and PKI enrollment client.

### Interfaces:

certmonger_admin( domain , role )

##### Summary

All of the rules required to administrate an certmonger environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

certmonger_dbus_chat( domain )

##### Summary

Send and receive messages from certmonger over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

certmonger_domtrans( domain )

##### Summary

Execute a domain transition to run certmonger.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

certmonger_initrc_domtrans( domain )

##### Summary

Execute certmonger server in the certmonger domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

certmonger_manage_lib_files( domain )

##### Summary

Create, read, write, and delete certmonger lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

certmonger_read_lib_files( domain )

##### Summary

Read certmonger lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

certmonger_read_pid_files( domain )

##### Summary

Read certmonger PID files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

certmonger_search_lib( domain )

##### Summary

Search certmonger lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return